isAddon = false

function build(directory, config, parameters, level, seed)
  
  local foodeffect2 = root.assetJson("/items/foodeffect2.config")

	if not parameters.timeToRot and config.foodValue ~= nil and config.foodValue ~= 0 then
		local rottingMultiplier = parameters.rottingMultiplier or config.rottingMultiplier or 1.0

		if isAddon == true then
			rottingMultiplier = 1.0
		end
		parameters.timeToRot = root.assetJson("/items/rotting.config:baseTimeToRot") * rottingMultiplier
  end

  config.tooltipFields = config.tooltipFields or {}
	if config.foodValue ~= nil then
		if config.foodValue ~= 0 then
			if isAddon == true then
				parameters.tooltipFields = parameters.tooltipFields or {}
				parameters.tooltipFields.rotTimeLabel = ""
			else
				config.tooltipFields.rotTimeLabel = getRotTimeDescription(parameters.timeToRot)
			end
			config.tooltipFields.foodAmountLabel = foodeffect2.food .. config.foodValue
		else
			config.tooltipFields.foodAmountLabel = foodeffect2.food2
		end
	end

	if config.effects then
		local labelText = ""
		for i,effect in ipairs(config.effects[1]) do
			local effectShortname = ""
			local effectDuration = ""

			-- name of effect
			if effect.effect then
				effectShortname = effect.effect
			else
				effectShortname = effect
			end

			-- duration of effect
			--[[if effect.duration then
				effectDuration = effect.duration
			end]]

			local effectName = ""
			if effectShortname then
				-- Vanilla effects
				if effectShortname == "maxhealthscalingboostfood" then effectName = foodeffect2.maxhealthscalingboostfood
				elseif effectShortname == "maxenergyscalingboostfood" then effectName = foodeffect2.maxenergyscalingboostfood
				elseif effectShortname == "ragefood" then effectName = foodeffect2.ragefood
				elseif effectShortname == "rage" then effectName = foodeffect2.rage
				elseif effectShortname == "runboostfood" then effectName = foodeffect2.runboostfood
				elseif effectShortname == "runboost" then effectName = "+ "..math.floor((effect.amount or 0.5)*100)..foodeffect2.runboost
				elseif effectShortname == "jumpboostfood" then effectName = foodeffect2.jumpboostfood
				elseif effectShortname == "jumpboost" then effectName = "+ "..math.floor((effect.amount or 0.5)*100)..foodeffect2.jumpboost

				elseif effectShortname == "swimboostcola" then effectName = foodeffect2.swimboostcola
				elseif effectShortname == "lowgrav" then effectName = foodeffect2.lowgrav effectDuration = 15
				elseif effectShortname == "glow" then effectName = foodeffect2.glow
				elseif effectShortname == "thorns" then effectName = foodeffect2.thorns
				elseif effectShortname == "nova" then effectName = foodeffect2.nova

				elseif effectShortname == "bottledwaterheal" then effectName = foodeffect2.bottledwaterheal
				elseif effectShortname == "healingwater" then effectName = "+ "..math.floor(100*((effect.duration or 5)/60))..foodeffect2.healingwater effectDuration = 5
				elseif effectShortname == "regeneration1" then effectName = "+ "..math.floor(100*((effect.duration or 5)/60))..foodeffect2.regeneration1 effectDuration = 5
				elseif effectShortname == "regeneration2" then effectName = "+ "..math.floor(120*((effect.duration or 60)/180))..foodeffect2.regeneration2 effectDuration = 60
				elseif effectShortname == "regeneration3" then effectName = "+ "..math.floor(131*((effect.duration or 60)/90))..foodeffect2.regeneration3 effectDuration = 60
				elseif effectShortname == "regeneration4" then effectName = "+ "..math.floor(175*((effect.duration or 60)/60))..foodeffect2.regeneration4 effectDuration = 60
				elseif effectShortname == "redstim" then effectName = "+ "..math.floor(100*((effect.duration or 60)/30))..foodeffect2.redstim effectDuration = 60
				elseif effectShortname == "bandageheal" then effectName = foodeffect2.bandageheal effectDuration = 1
				elseif effectShortname == "nanowrapheal" then effectName = foodeffect2.nanowrapheal effectDuration = 1
				elseif effectShortname == "salveheal" then effectName = foodeffect2.salveheal effectDuration = 10
				elseif effectShortname == "medkitheal" then effectName = foodeffect2.medkitheal effectDuration = 10
				elseif effectShortname == "antidote" then effectName = foodeffect2.antidote effectDuration = 300
				elseif effectShortname == "burnspray" then effectName = foodeffect2.burnspray effectDuration = 300

				elseif effectShortname == "fireblock" then effectName = foodeffect2.fireblock effectDuration = 60
				elseif effectShortname == "iceblock" then effectName = foodeffect2.iceblock effectDuration = 60
				elseif effectShortname == "electricblock" then effectName = foodeffect2.electricblock effectDuration = 60
				elseif effectShortname == "poisonblock" then effectName = foodeffect2.poisonblock effectDuration = 60

				elseif effectShortname == "burning" then effectName = foodeffect2.burning
				elseif effectShortname == "foodpoison" then effectName = foodeffect2.foodpoison effectDuration = 60
				elseif effectShortname == "weakpoison" then effectName = foodeffect2.weakpoison effectDuration = 5

				--FU effects
					--Special Effects
				elseif effectShortname == "lowgrav_fallspeed" then effectName = foodeffect2.lowgrav_fallspeed effectDuration = 30
				elseif effectShortname == "lowgrav_intrepid" then effectName = foodeffect2.lowgrav_intrepid effectDuration = 120
				elseif effectShortname == "lowgrav_shadowmagnorb" then effectName = foodeffect2.lowgrav_shadowmagnorb effectDuration = 15
				elseif effectShortname == "lowgrav_stim" then effectName = foodeffect2.lowgrav_stim effectDuration = 120
				elseif effectShortname == "lowgrav_wretchel" then effectName = foodeffect2.lowgrav_wretchel effectDuration = 120
				elseif effectShortname == "fusupermovementstim" then effectName = foodeffect2.fusupermovementstim effectDuration = 24
				elseif effectShortname == "warp" then effectName = foodeffect2.warp effectDuration = 5
				elseif effectShortname == "portaljuice" then effectName = foodeffect2.portaljuice effectDuration = 600
				elseif effectShortname == "fubouncy" then effectName = foodeffect2.fubouncy effectDuration = 60
				elseif effectShortname == "fedhoney" then effectName = foodeffect2.fedhoney effectDuration = 300
				elseif effectShortname == "camouflage55" then effectName = foodeffect2.camouflage55 effectDuration = 5
				elseif effectShortname == "eatself" then effectName = foodeffect2.eatself effectDuration = 20
				elseif effectShortname == "headlamp" then effectName = foodeffect2.headlamp effectDuration = 5
				elseif effectShortname == "headlamp2" then effectName = foodeffect2.headlamp2 effectDuration = 120
				elseif effectShortname == "headlamp3" then effectName = foodeffect2.headlamp3 effectDuration = 5
				elseif effectShortname == "headlamp4" then effectName = foodeffect2.headlamp4 effectDuration = 5
				elseif effectShortname == "headlampdual" then effectName = foodeffect2.headlampdual effectDuration = 5
				elseif effectShortname == "booze" then effectName = foodeffect2.booze effectDuration = 60
				elseif effectShortname == "booze2" then effectName = foodeffect2.booze2 effectDuration = 60
				elseif effectShortname == "booze3" then effectName = foodeffect2.booze3 effectDuration = 5
				elseif effectShortname == "fireburst" then effectName = foodeffect2.fireburst effectDuration = 60
				elseif effectShortname == "thornsstranglevine" then effectName = foodeffect2.thornsstranglevine effectDuration = 60
				elseif effectShortname == "burstfayshroom" then effectName = foodeffect2.burstfayshroom effectDuration = 60
				elseif effectShortname == "thornsstranglevinesuper" then effectName = foodeffect2.thornsstranglevinesuper effectDuration = 60
				elseif effectShortname == "iceburst" then effectName = foodeffect2.iceburst effectDuration = 60
				elseif effectShortname == "waterwalk" then effectName = foodeffect2.waterwalk effectDuration = 60
				elseif effectShortname == "waterwalk2" then effectName = foodeffect2.waterwalk2 effectDuration = 30
				elseif effectShortname == "wretchelshield" then effectName = foodeffect2.wretchelshield effectDuration = 30

					--Glows
				elseif effectShortname == "glowblue" then effectName = foodeffect2.glowblue effectDuration = 5
				elseif effectShortname == "glowblue2" then effectName = foodeffect2.glowblue2 effectDuration = 5
				elseif effectShortname == "glowgreen" then effectName = foodeffect2.glowgreen effectDuration = 5
				elseif effectShortname == "glowgreen2" then effectName = foodeffect2.glowgreen2 effectDuration = 5
				elseif effectShortname == "gloworange" then effectName = foodeffect2.gloworange effectDuration = 5
				elseif effectShortname == "glowpurple" then effectName = foodeffect2.glowpurple effectDuration = 5
				elseif effectShortname == "glowpurple2" then effectName = foodeffect2.glowpurple2 effectDuration = 5
				elseif effectShortname == "glowred" then effectName = foodeffect2.glowred effectDuration = 5
				elseif effectShortname == "glowyellow" then effectName = foodeffect2.glowyellow effectDuration = 5
				elseif effectShortname == "glowyellow2" then effectName = foodeffect2.glowyellow2 effectDuration = 5
				elseif effectShortname == "portablelightsource" then effectName = foodeffect2.portablelightsource effectDuration = 1200

					--Immunities
				elseif effectShortname == "insanityimmunity" then effectName = foodeffect2.insanityimmunity effectDuration = 300
				elseif effectShortname == "honeyslowimmunity" then effectName = foodeffect2.honeyslowimmunity effectDuration = 300
				elseif effectShortname == "corvexputty" then effectName = foodeffect2.corvexputty effectDuration = 120
				elseif effectShortname == "aetherimmunity" then effectName = foodeffect2.aetherimmunity effectDuration = 300
				elseif effectShortname == "airimmunity" then effectName = foodeffect2.airimmunity effectDuration = 300
				elseif effectShortname == "beestingimmunity" then effectName = foodeffect2.beestingimmunity effectDuration = 300
				elseif effectShortname == "biooozeimmunity" then effectName = foodeffect2.biooozeimmunity effectDuration = 300
				elseif effectShortname == "blacktarimmunity" then effectName = foodeffect2.blacktarimmunity effectDuration = 300
				elseif effectShortname == "coldimmunity" then effectName = foodeffect2.coldimmunity effectDuration = 300
				elseif effectShortname == "erchiusimmunity" then effectName = foodeffect2.erchiusimmunity effectDuration = 300
				elseif effectShortname == "extremepressureimmunity" then effectName = foodeffect2.extremepressureimmunity effectDuration = 300
				elseif effectShortname == "ffextremecoldimmunity" then effectName = foodeffect2.ffextremecoldimmunity effectDuration = 300
				elseif effectShortname == "ffextremeheatimmunity" then effectName = foodeffect2.ffextremeheatimmunity effectDuration = 300
				elseif effectShortname == "ffextremeradiationimmunity" then effectName = foodeffect2.ffextremeradiationimmunity effectDuration = 300
				elseif effectShortname == "fireStatusImmunity" then effectName = foodeffect2.fireStatusImmunity effectDuration = 300
				elseif effectShortname == "fumudslowimmunity" then effectName = foodeffect2.fumudslowimmunity effectDuration = 300
				elseif effectShortname == "heatimmunity" then effectName = foodeffect2.heatimmunity effectDuration = 300
				elseif effectShortname == "iceslipimmunity" then effectName = foodeffect2.iceslipimmunity effectDuration = 300
				elseif effectShortname == "jungleslowimmunity" then effectName = foodeffect2.jungleslowimmunity effectDuration = 300
				elseif effectShortname == "lavaimmunity" then effectName = foodeffect2.lavaimmunity effectDuration = 300
				elseif effectShortname == "liquidnitrogenimmunity" then effectName = foodeffect2.liquidnitrogenimmunity effectDuration = 300
				elseif effectShortname == "poisonStatusImmunity" then effectName = foodeffect2.poisonStatusImmunity effectDuration = 300
				elseif effectShortname == "poisonimmunityspongeweed" then effectName = foodeffect2.poisonimmunityspongeweed effectDuration = 240
				elseif effectShortname == "pressureimmunity" then effectName = foodeffect2.pressureimmunity effectDuration = 300
				elseif effectShortname == "protoimmunity" then effectName = foodeffect2.protoimmunity effectDuration = 300
				elseif effectShortname == "pusimmunity" then effectName = foodeffect2.pusimmunity effectDuration = 300
				elseif effectShortname == "radiationburnimmunity" then effectName = foodeffect2.radiationburnimmunity effectDuration = 300
				elseif effectShortname == "radiationimmunity" then effectName = foodeffect2.radiationimmunity effectDuration = 300
				elseif effectShortname == "shadowimmunity" then effectName = foodeffect2.shadowimmunity effectDuration = 300
				elseif effectShortname == "slimestickimmunity" then effectName = foodeffect2.slimestickimmunity effectDuration = 300
				elseif effectShortname == "slushslowimmunity" then effectName = foodeffect2.slushslowimmunity effectDuration = 300
				elseif effectShortname == "snowslowimmunity" then effectName = foodeffect2.snowslowimmunity effectDuration = 300
				elseif effectShortname == "spiderwebimmunity" then effectName = foodeffect2.spiderwebimmunity effectDuration = 300
				elseif effectShortname == "gasimmunity" then effectName = foodeffect2.gasimmunity effectDuration = 60
				elseif effectShortname == "helium3Immunity" then effectName = foodeffect2.helium3Immunity effectDuration = 120
				elseif effectShortname == "nitrogenfreezeimmunity" then effectName = foodeffect2.nitrogenfreezeimmunity effectDuration = 120
				elseif effectShortname == "shadowgasimmunity" then effectName = foodeffect2.shadowgasimmunity effectDuration = 120
				elseif effectShortname == "sulphuricimmunity" then effectName = foodeffect2.sulphuricimmunity effectDuration = 60
				elseif effectShortname == "sulphuricimmunitywhitespine" then effectName = foodeffect2.sulphuricimmunitywhitespine effectDuration = 120

					--Resists
				elseif effectShortname == "cosmicblock" then effectName = foodeffect2.cosmicblock effectDuration = 120
				elseif effectShortname == "cosmicblock2" then effectName = foodeffect2.cosmicblock2 effectDuration = 120
				elseif effectShortname == "cosmicblock3" then effectName = foodeffect2.cosmicblock3 effectDuration = 120
				elseif effectShortname == "electricblock1" then effectName = foodeffect2.electricblock1 effectDuration = 120
				elseif effectShortname == "electricblock2" then effectName = foodeffect2.electricblock2 effectDuration = 120
				elseif effectShortname == "electricblock3" then effectName = foodeffect2.electricblock3 effectDuration = 120
				elseif effectShortname == "fireblock1" then effectName = foodeffect2.fireblock1 effectDuration = 120
				elseif effectShortname == "fireblock2" then effectName = foodeffect2.fireblock2 effectDuration = 120
				elseif effectShortname == "fireblock3" then effectName = foodeffect2.fireblock3 effectDuration = 120
				elseif effectShortname == "physicalblock" then effectName = foodeffect2.physicalblock effectDuration = 120
				elseif effectShortname == "physicalblock2" then effectName = foodeffect2.physicalblock2 effectDuration = 120
				elseif effectShortname == "physicalblock3" then effectName = foodeffect2.physicalblock3 effectDuration = 120
				elseif effectShortname == "poisonblock1" then effectName = foodeffect2.poisonblock1 effectDuration = 120
				elseif effectShortname == "poisonblock2" then effectName = foodeffect2.poisonblock2 effectDuration = 120
				elseif effectShortname == "poisonblock3" then effectName = foodeffect2.poisonblock3 effectDuration = 120
				elseif effectShortname == "radioactiveblock" then effectName = foodeffect2.radioactiveblock effectDuration = 120
				elseif effectShortname == "radioactiveblock2" then effectName = foodeffect2.radioactiveblock2 effectDuration = 120
				elseif effectShortname == "radioactiveblock3" then effectName = foodeffect2.radioactiveblock3 effectDuration = 120
				elseif effectShortname == "shadowblock" then effectName = foodeffect2.shadowblock effectDuration = 120
				elseif effectShortname == "shadowblock2" then effectName = foodeffect2.shadowblock2 effectDuration = 120
				elseif effectShortname == "shadowblock3" then effectName = foodeffect2.shadowblock3 effectDuration = 120
				elseif effectShortname == "fucosmicresistance" then effectName = foodeffect2.fucosmicresistance effectDuration = 300
				elseif effectShortname == "fucosmicresistance2" then effectName = foodeffect2.fucosmicresistance2 effectDuration = 300
				elseif effectShortname == "fucosmicresistance3" then effectName = foodeffect2.fucosmicresistance3 effectDuration = 300
				elseif effectShortname == "fuelectricresistance" then effectName = foodeffect2.fuelectricresistance effectDuration = 300
				elseif effectShortname == "fuelectricresistance2" then effectName = foodeffect2.fuelectricresistance2 effectDuration = 300
				elseif effectShortname == "fuelectricresistance3" then effectName = foodeffect2.fuelectricresistance3 effectDuration = 300
				elseif effectShortname == "fufireresistance" then effectName = foodeffect2.fufireresistance effectDuration = 300
				elseif effectShortname == "fufireresistance2" then effectName = foodeffect2.fufireresistance2 effectDuration = 300
				elseif effectShortname == "fufireresistance3" then effectName = foodeffect2.fufireresistance3 effectDuration = 300
				elseif effectShortname == "fuiceresistance" then effectName = foodeffect2.fuiceresistance effectDuration = 300
				elseif effectShortname == "fuiceresistance2" then effectName = foodeffect2.fuiceresistance2 effectDuration = 300
				elseif effectShortname == "fuiceresistance3" then effectName = foodeffect2.fuiceresistance3 effectDuration = 300
				elseif effectShortname == "fuphysicalresistance" then effectName = foodeffect2.fuphysicalresistance effectDuration = 300
				elseif effectShortname == "fuphysicalresistance2" then effectName = foodeffect2.fuphysicalresistance2 effectDuration = 300
				elseif effectShortname == "fuphysicalresistance3" then effectName = foodeffect2.fuphysicalresistance3 effectDuration = 300
				elseif effectShortname == "fupoisonresistance" then effectName = foodeffect2.fupoisonresistance effectDuration = 300
				elseif effectShortname == "fupoisonresistance2" then effectName = foodeffect2.fupoisonresistance2 effectDuration = 300
				elseif effectShortname == "fupoisonresistance3" then effectName = foodeffect2.fupoisonresistance3 effectDuration = 300
				elseif effectShortname == "furadioactiveresistance" then effectName = foodeffect2.furadioactiveresistance effectDuration = 300
				elseif effectShortname == "furadioactiveresistance2" then effectName = foodeffect2.furadioactiveresistance2 effectDuration = 300
				elseif effectShortname == "furadioactiveresistance3" then effectName = foodeffect2.furadioactiveresistance3 effectDuration = 300
				elseif effectShortname == "fushadowresistance" then effectName = foodeffect2.fushadowresistance effectDuration = 300
				elseif effectShortname == "fushadowresistance2" then effectName = foodeffect2.fushadowresistance2 effectDuration = 300
				elseif effectShortname == "fushadowresistance3" then effectName = foodeffect2.fushadowresistance3 effectDuration = 300

					--Stats
				elseif effectShortname == "defense1" then effectName = foodeffect2.defense1 effectDuration = 120
				elseif effectShortname == "defense2" then effectName = foodeffect2.defense2 effectDuration = 120
				elseif effectShortname == "defense3" then effectName = foodeffect2.defense3 effectDuration = 120
				elseif effectShortname == "defense4" then effectName = foodeffect2.defense4 effectDuration = 120
				elseif effectShortname == "defense5" then effectName = foodeffect2.defense5 effectDuration = 120
				elseif effectShortname == "defense6" then effectName = foodeffect2.defense6 effectDuration = 120
				elseif effectShortname == "defenseboost10" then effectName = foodeffect2.defenseboost10 effectDuration = 120
				elseif effectShortname == "defenseboost15" then effectName = foodeffect2.defenseboost15 effectDuration = 120
				elseif effectShortname == "defenseboost30" then effectName = foodeffect2.defenseboost30 effectDuration = 120
				elseif effectShortname == "defenseboost60" then effectName = foodeffect2.defenseboost60 effectDuration = 120
				elseif effectShortname == "defenseboost90" then effectName = foodeffect2.defenseboost90 effectDuration = 120
				elseif effectShortname == "defenseboost120" then effectName = foodeffect2.defenseboost120 effectDuration = 120
				elseif effectShortname == "defenseboost180" then effectName = foodeffect2.defenseboost180 effectDuration = 120
				elseif effectShortname == "defenseboost210" then effectName = foodeffect2.defenseboost210 effectDuration = 120
				elseif effectShortname == "defenseboost240" then effectName = foodeffect2.defenseboost240 effectDuration = 120
				elseif effectShortname == "defenseboost270" then effectName = foodeffect2.defenseboost270 effectDuration = 120
				elseif effectShortname == "defenseboost300" then effectName = foodeffect2.defenseboost300 effectDuration = 120
				elseif effectShortname == "percentarmorboost2" then effectName = foodeffect2.percentarmorboost2 effectDuration = 120
				elseif effectShortname == "percentarmorboost5" then effectName = foodeffect2.percentarmorboost5 effectDuration = 120
				elseif effectShortname == "percentarmorboost7" then effectName = foodeffect2.percentarmorboost7 effectDuration = 120
				elseif effectShortname == "percentarmorboost10" then effectName = foodeffect2.percentarmorboost10 effectDuration = 120
				elseif effectShortname == "percentarmorboost15" then effectName = foodeffect2.percentarmorboost15 effectDuration = 120
				elseif effectShortname == "percentarmorboost20" then effectName = foodeffect2.percentarmorboost20 effectDuration = 120
				elseif effectShortname == "percentarmorboost30" then effectName = foodeffect2.percentarmorboost30 effectDuration = 120
				elseif effectShortname == "percentarmorboost35" then effectName = foodeffect2.percentarmorboost35 effectDuration = 120
				elseif effectShortname == "percentarmorboost40" then effectName = foodeffect2.percentarmorboost40 effectDuration = 120
				elseif effectShortname == "percentarmorboost50" then effectName = foodeffect2.percentarmorboost50 effectDuration = 120
				elseif effectShortname == "percentarmorboost60" then effectName = foodeffect2.percentarmorboost60 effectDuration = 120
				elseif effectShortname == "percentarmorboost70" then effectName = foodeffect2.percentarmorboost70 effectDuration = 120
				elseif effectShortname == "percentarmorboost80" then effectName = foodeffect2.percentarmorboost80 effectDuration = 120
				elseif effectShortname == "percentarmorboost90" then effectName = foodeffect2.percentarmorboost90 effectDuration = 120
				elseif effectShortname == "percentarmorboost100" then effectName = foodeffect2.percentarmorboost100 effectDuration = 120
				elseif effectShortname == "percentarmorboost125" then effectName = foodeffect2.percentarmorboost125 effectDuration = 120
				elseif effectShortname == "percentarmorboost150" then effectName = foodeffect2.percentarmorboost150 effectDuration = 120
				elseif effectShortname == "percentarmorboost175" then effectName = foodeffect2.percentarmorboost175 effectDuration = 120
				elseif effectShortname == "percentarmorboost200" then effectName = foodeffect2.percentarmorboost200 effectDuration = 120
				elseif effectShortname == "percentarmorboost250" then effectName = foodeffect2.percentarmorboost250 effectDuration = 120
				elseif effectShortname == "percentarmorboost300" then effectName = foodeffect2.percentarmorboost300 effectDuration = 120
				elseif effectShortname == "maxenergyboost1" then effectName = foodeffect2.maxenergyboost1 effectDuration = 120
				elseif effectShortname == "maxenergyboost2" then effectName = foodeffect2.maxenergyboost2 effectDuration = 120
				elseif effectShortname == "maxenergyboost3" then effectName = foodeffect2.maxenergyboost3 effectDuration = 120
				elseif effectShortname == "maxenergyboost4" then effectName = foodeffect2.maxenergyboost4 effectDuration = 120
				elseif effectShortname == "maxenergyboost5" then effectName = foodeffect2.maxenergyboost5 effectDuration = 120
				elseif effectShortname == "maxenergyboost6" then effectName = foodeffect2.maxenergyboost6 effectDuration = 120
				elseif effectShortname == "maxenergyboost65" then effectName = foodeffect2.maxenergyboost65 effectDuration = 120
				elseif effectShortname == "maxenergyboost90" then effectName = foodeffect2.maxenergyboost90 effectDuration = 120
				elseif effectShortname == "maxenergyboost145" then effectName = foodeffect2.maxenergyboost145 effectDuration = 120
				elseif effectShortname == "maxenergyboostneg20" then effectName = foodeffect2.maxenergyboostneg20 effectDuration = 120
				elseif effectShortname == "percentenergyboost5" then effectName = foodeffect2.percentenergyboost5 effectDuration = 30
				elseif effectShortname == "percentenergyboost10" then effectName = foodeffect2.percentenergyboost10 effectDuration = 30
				elseif effectShortname == "percentenergyboost15" then effectName = foodeffect2.percentenergyboost15 effectDuration = 30
				elseif effectShortname == "percentenergyboost20" then effectName = foodeffect2.percentenergyboost20 effectDuration = 30
				elseif effectShortname == "percentenergyboost25" then effectName = foodeffect2.percentenergyboost25 effectDuration = 30
				elseif effectShortname == "percentenergyboost30" then effectName = foodeffect2.percentenergyboost30 effectDuration = 30
				elseif effectShortname == "percentenergyboost35" then effectName = foodeffect2.percentenergyboost35 effectDuration = 30
				elseif effectShortname == "percentenergyboost40" then effectName = foodeffect2.percentenergyboost40 effectDuration = 30
				elseif effectShortname == "percentenergyboost50" then effectName = foodeffect2.percentenergyboost50 effectDuration = 30
				elseif effectShortname == "percentenergybooststim" then effectName = foodeffect2.percentenergybooststim effectDuration = 120
				elseif effectShortname == "maxhealthboost1" then effectName = foodeffect2.maxhealthboost1 effectDuration = 180
				elseif effectShortname == "maxhealthboost2" then effectName = foodeffect2.maxhealthboost2 effectDuration = 180
				elseif effectShortname == "maxhealthboost3" then effectName = foodeffect2.maxhealthboost3 effectDuration = 180
				elseif effectShortname == "maxhealthboost4" then effectName = foodeffect2.maxhealthboost4 effectDuration = 180
				elseif effectShortname == "maxhealthboost5" then effectName = foodeffect2.maxhealthboost5 effectDuration = 180
				elseif effectShortname == "maxhealthboost6" then effectName = foodeffect2.maxhealthboost6 effectDuration = 180
				elseif effectShortname == "maxhealthboost70" then effectName = foodeffect2.maxhealthboost70 effectDuration = 180
				elseif effectShortname == "maxhealthboost80" then effectName = foodeffect2.maxhealthboost80 effectDuration = 180
				elseif effectShortname == "maxhealthboost90" then effectName = foodeffect2.maxhealthboost90 effectDuration = 180
				elseif effectShortname == "maxhealthboost120" then effectName = foodeffect2.maxhealthboost120 effectDuration = 180
				elseif effectShortname == "maxhealthboostneg10" then effectName = foodeffect2.maxhealthboostneg10 effectDuration = 180
				elseif effectShortname == "maxhealthboostneg20" then effectName = foodeffect2.maxhealthboostneg20 effectDuration = 180
				elseif effectShortname == "percenthealthboost5" then effectName = foodeffect2.percenthealthboost5 effectDuration = 30
				elseif effectShortname == "percenthealthboost10" then effectName = foodeffect2.percenthealthboost10 effectDuration = 30
				elseif effectShortname == "percenthealthboost15" then effectName = foodeffect2.percenthealthboost15 effectDuration = 30
				elseif effectShortname == "percenthealthboost25" then effectName = foodeffect2.percenthealthboost25 effectDuration = 30
				elseif effectShortname == "percenthealthboost40" then effectName = foodeffect2.percenthealthboost40 effectDuration = 30
				elseif effectShortname == "percenthealthboost50" then effectName = foodeffect2.percenthealthboost50 effectDuration = 30
				elseif effectShortname == "percenthealthbooststim" then effectName = foodeffect2.percenthealthbooststim effectDuration = 120
				elseif effectShortname == "damagebonus" then effectName = "+ "..math.floor(100*(effect.amount or 10))..foodeffect2.damagebonus effectDuration = 60
				elseif effectShortname == "damagebonus01" then effectName = foodeffect2.damagebonus01 effectDuration = 60
				elseif effectShortname == "damagebonus2" then effectName = foodeffect2.damagebonus2 effectDuration = 60
				elseif effectShortname == "damagebonus3" then effectName = foodeffect2.damagebonus3 effectDuration = 60
				elseif effectShortname == "damagebonus4" then effectName = foodeffect2.damagebonus4 effectDuration = 60
				elseif effectShortname == "damagebonus5" then effectName = foodeffect2.damagebonus5 effectDuration = 60
				elseif effectShortname == "damagebonus6" then effectName = foodeffect2.damagebonus6 effectDuration = 60
				elseif effectShortname == "rage20fu" then effectName = foodeffect2.rage20fu effectDuration = 15
				elseif effectShortname == "rage30" then effectName = foodeffect2.rage30 effectDuration = 15
				elseif effectShortname == "rage40" then effectName = foodeffect2.rage40 effectDuration = 15
				elseif effectShortname == "rage50" then effectName = foodeffect2.rage50 effectDuration = 15
				elseif effectShortname == "rage60" then effectName = foodeffect2.rage60 effectDuration = 15
				elseif effectShortname == "rage75" then effectName = foodeffect2.rage75 effectDuration = 15
				elseif effectShortname == "rage100" then effectName = foodeffect2.rage100 effectDuration = 15
				elseif effectShortname == "runboost10" then effectName = foodeffect2.runboost10 effectDuration = 30
				elseif effectShortname == "runboost15" then effectName = foodeffect2.runboost15 effectDuration = 30
				elseif effectShortname == "runboost25" then effectName = foodeffect2.runboost25 effectDuration = 30
				elseif effectShortname == "runboost35" then effectName = foodeffect2.runboost35 effectDuration = 30
				elseif effectShortname == "runboost75" then effectName = foodeffect2.runboost75 effectDuration = 30
				elseif effectShortname == "swimboost1" then effectName = foodeffect2.swimboost1 effectDuration = 220
				elseif effectShortname == "swimboost2" then effectName = foodeffect2.swimboost2 effectDuration = 220
				elseif effectShortname == "swimboost3" then effectName = foodeffect2.swimboost3 effectDuration = 220
				elseif effectShortname == "swimboost4" then effectName = foodeffect2.swimboost4 effectDuration = 220
				elseif effectShortname == "swimboostaquapod" then effectName = foodeffect2.swimboostaquapod effectDuration = 220
				elseif effectShortname == "jumpboost15" then effectName = foodeffect2.jumpboost15 effectDuration = 1
				elseif effectShortname == "jumpboost25" then effectName = foodeffect2.jumpboost25 effectDuration = 1
				elseif effectShortname == "jumpboost35" then effectName = foodeffect2.jumpboost35 effectDuration = 1
				elseif effectShortname == "critbonus1" then effectName = foodeffect2.critbonus1 effectDuration = 60
				elseif effectShortname == "critchance1" then effectName = foodeffect2.critchance1 effectDuration = 60

					--Healing/Regen
				elseif effectShortname == "honeyheal2" then effectName = foodeffect2.honeyheal2 effectDuration = 120
				elseif effectShortname == "honeyheal4" then effectName = foodeffect2.honeyheal4 effectDuration = 180
				elseif effectShortname == "honeyheal6" then effectName = foodeffect2.honeyheal6 effectDuration = 120
				elseif effectShortname == "honeysilkheal" then effectName = foodeffect2.honeysilkheal effectDuration = 2
				elseif effectShortname == "mutaviskheal" then effectName = foodeffect2.mutaviskheal effectDuration = 10
				elseif effectShortname == "heal_2" then effectName = foodeffect2.heal_2 effectDuration = 0.1
				elseif effectShortname == "heal_5" then effectName = foodeffect2.heal_5 effectDuration = 0.1
				elseif effectShortname == "heal_10" then effectName = foodeffect2.heal_10 effectDuration = 0.1
				elseif effectShortname == "heal_15" then effectName = foodeffect2.heal_15 effectDuration = 0.1
				elseif effectShortname == "heal_20" then effectName = foodeffect2.heal_20 effectDuration = 0.1
				elseif effectShortname == "heal_30" then effectName = foodeffect2.heal_30 effectDuration = 0.1
				elseif effectShortname == "heal_40" then effectName = foodeffect2.heal_40 effectDuration = 0.1
				elseif effectShortname == "heal_50" then effectName = foodeffect2.heal_50 effectDuration = 0.1
				elseif effectShortname == "heal_60" then effectName = foodeffect2.heal_60 effectDuration = 0.1
				elseif effectShortname == "heal_70" then effectName = foodeffect2.heal_70 effectDuration = 0.1
				elseif effectShortname == "heal_80" then effectName = foodeffect2.heal_80 effectDuration = 0.1
				elseif effectShortname == "heal_90" then effectName = foodeffect2.heal_90 effectDuration = 0.1
				elseif effectShortname == "heal_100" then effectName = foodeffect2.heal_100 effectDuration = 0.1
				elseif effectShortname == "lightregenproduce" then effectName = foodeffect2.lightregenproduce effectDuration = "-"
				elseif effectShortname == "regenerationmiraclegrass" then effectName = "+ "..math.floor(100.1*((effect.duration or 120)/90))..foodeffect2.regenerationmiraclegrass effectDuration = 120
				elseif effectShortname == "regeneration01" then effectName = "+ "..math.floor(105*((effect.duration or 60)/200))..foodeffect2.regeneration01 effectDuration = 60
				elseif effectShortname == "energyregenfu05" then effectName = foodeffect2.energyregenfu05 effectDuration = 120
				elseif effectShortname == "energyregenfu10" then effectName = foodeffect2.energyregenfu10 effectDuration = 30
				elseif effectShortname == "energyregenfu15" then effectName = foodeffect2.energyregenfu15 effectDuration = 30
				elseif effectShortname == "energyregenfu20" then effectName = foodeffect2.energyregenfu20 effectDuration = 30
				elseif effectShortname == "energyregenfu25" then effectName = foodeffect2.energyregenfu25 effectDuration = 30
				elseif effectShortname == "energyregenfu35" then effectName = foodeffect2.energyregenfu35 effectDuration = 30
				elseif effectShortname == "energyregenfu40" then effectName = foodeffect2.energyregenfu40 effectDuration = 30
				elseif effectShortname == "energyregenfu50" then effectName = foodeffect2.energyregenfu50 effectDuration = 30
				elseif effectShortname == "energyregenfu60" then effectName = foodeffect2.energyregenfu60 effectDuration = 30
				elseif effectShortname == "energyregenfu75" then effectName = foodeffect2.energyregenfu75 effectDuration = 30
				elseif effectShortname == "shieldregen1" then effectName = foodeffect2.shieldregen1 effectDuration = 30
				elseif effectShortname == "shieldregen2" then effectName = foodeffect2.shieldregen2 effectDuration = 30
				elseif effectShortname == "shieldregen3" then effectName = foodeffect2.shieldregen3 effectDuration = 30
				elseif effectShortname == "shieldregen4" then effectName = foodeffect2.shieldregen4 effectDuration = 30

				--Fix
					--Special Effects
				elseif effectShortname == "bouncy" then effectName = foodeffect2.fubouncy effectDuration = 120
				elseif effectShortname == "levitation" then effectName = foodeffect2.levitation effectDuration = 60

					--Glows
					--Immunities
					--Resists
				elseif effectShortname == "iceblock1" then effectName = foodeffect2.iceblock1 effectDuration = 120
				elseif effectShortname == "iceblock2" then effectName = foodeffect2.iceblock2 effectDuration = 120
				elseif effectShortname == "iceblock3" then effectName = foodeffect2.iceblock3 effectDuration = 120

					--Stats
				elseif effectShortname == "carnivorefood" then effectName = foodeffect2.carnivorefood effectDuration = 60
				elseif effectShortname == "carnivorefoodcooked" then effectName = foodeffect2.carnivorefoodcooked effectDuration = 60
				elseif effectShortname == "carnivorefoodnopoison" then effectName = foodeffect2.carnivorefoodnopoison effectDuration = 60
				elseif effectShortname == "robofood" then effectName = foodeffect2.robofood effectDuration = 60
				elseif effectShortname == "robofood2" then effectName = foodeffect2.robofood2 effectDuration = 60
				elseif effectShortname == "robofood3" then effectName = foodeffect2.robofood3 effectDuration = 60
					--Healing/Regen
				elseif effectShortname == "darkregenproduce" then effectName = foodeffect2.darkregenproduce effectDuration = "-"

				else effectName = effectShortname
				end

				if effect.duration then
					labelText = labelText .. effectName .. " \n   (" .. effect.duration .. foodeffect2.s
				elseif effectDuration then
					if effectDuration == "-" then
						labelText = labelText .. effectName
					else
						labelText = labelText .. effectName .. " \n   (" .. effectDuration .. foodeffect2.s
					end
				else
					labelText = labelText .. effectName .. " \n   (" .. "??" .. foodeffect2.s
				end
			end
		end
		config.tooltipFields.effectLabel = labelText
	else
		config.tooltipFields.effectLabel = foodeffect2.noeffect
	end

	return config, parameters
end

function getRotTimeDescription(rotTime)
	local foodeffect2 = root.assetJson("/items/foodeffect2.config")

	local color = ""
	if rotTime <= 300 then color = "red;"
		elseif rotTime <= 1800 then color = "orange;"
		elseif rotTime <= 3600 then color = "yellow;"
		elseif rotTime <= 10800 then color = "green;"
		else color = "green;"
	end

	hours = string.format("%i", math.floor(rotTime/3600))
	mins = string.format("%i", math.floor(rotTime/60 - (hours*60)))
	return "^" .. color .. foodeffect2.spoils .. hours .. foodeffect2.h .. mins .. foodeffect2.min .. "^reset;"
end
